//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Dundas.Olap.WinClient;
using Dundas.Olap.Data.AdomdNet;

namespace Microsoft.Research.ScientificWorkflow.Forms
{
    public partial class OLAPVisualizer : Form
    {
        public OLAPVisualizer()
        {
            InitializeComponent();
        }

        public void SetConnectionString(string serverName, string catalogName)
        {
            string connectionString =
                string.Format("Data Source={0}; Catalog={1};", serverName, catalogName);
            this.olapDataProvider.ConnectionString = connectionString;
        }

        private void OLAPVisualizer_Load(object sender, EventArgs e)
        {
            this.olapVisualizerClient.ShowData();
        }
    }
}
