//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.DataLayer
{
    /// <summary>
    /// The version relation type.
    /// </summary>
    public enum VersionRelationshipType
    {
        /// <summary>
        /// Specifies whether the version relation type is concrete.
        /// </summary>
        Concrete,

        /// <summary>
        /// Specifies whether this version of an object is a contributor to another.
        /// </summary>
        Contribution,
    }
}
