//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.DataLayer
{
    using System;

    /// <summary>
    /// 
    /// </summary>
    public interface IDataLayerSecurityActionCalls
    {
        /// <summary>
        /// Authenticates the specified sercurity principal.
        /// </summary>
        /// <param name="error">The error.</param>
        /// <param name="principal">The security principal.</param>
        /// <returns></returns>
        SecurityAction Authenticate(
            out Exception error,
            ref ISecurityPrincipal principal);
    }
}
