//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.DataLayer
{
    /// <summary>
    /// 
    /// </summary>
    public class SecurityPkgInfo
    {
        /// <summary>
        /// 
        /// </summary>
        public delegate IDataLayerSecurityFilter Creator(ConnectionSecure secureConn, Connection conn);

        /// <summary>
        /// 
        /// </summary>
        public Creator Factory;

        /// <summary>
        /// Initializes a new instance of the <see cref="SecurityPkgInfo"/> class.
        /// </summary>
        /// <param name="filter">The filter.</param>
        public SecurityPkgInfo(Creator filter)
        {
            this.Factory = filter;
        }
    }
}
