//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule
{
    using System.Windows.Controls;
    using Microsoft.Practices.Unity;

    /// <summary>
    /// Interaction logic for WorkflowCatalogCenterPane.xaml
    /// </summary>
    public partial class WorkflowCatalogCenterPane : UserControl
    {
        private IUnityContainer container;

        public PackagingCenterPaneView PackagingHost
        {
            get
            {
                return this.PackagingViewHost.Child as PackagingCenterPaneView;
            }
            set
            {
                this.PackagingViewHost.Child = value;
            }
        }

        public WorkflowCatalogCenterPane(IUnityContainer container)
        {
            InitializeComponent();
            this.container = container;
        }
    }
}
