//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ProvenanceCommon.Model
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Collections.ObjectModel;
    using Microsoft.Research.ScientificWorkflow.UIDesigner.Monitor;


    public class WorkflowDataProductModel
    {
        /// <summary>
        /// Get DataProductItem Collection
        /// </summary>
         public ObservableCollection<DataProductItem> DataProductItemCollection { get; private set; }

        /// <summary>
        /// Constructor
        /// </summary>
         public WorkflowDataProductModel()
        {
            this.DataProductItemCollection = new ObservableCollection<DataProductItem>();
        }
    }
}
