//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ProvenanceInterfaces
{
    using System;
    using System.Windows;
    using Microsoft.Research.ScientificWorkflow.TridentModel;

    public interface IProvenancePresenter
    {
        void Show(BaseModel model);

        void Hide();

        UIElement View { get; set; }
    }
}
