//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ProvenanceInterfaces
{
    using System;
    /// <summary>
    /// Specification for UI region manager
    /// </summary>
	public interface IProvenanceRegionManager
	{
        /// <summary>
        /// Adds the <paramref name="view"/> UI element to the specified named region
        /// </summary>
        /// <param name="view">instance of the view</param>
        /// <param name="regionName">region name</param>
        void Add(object view, string regionName);
	}
}
