//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ProvenanceSubscriberCommon.Models
{
    using System;

    /// <summary>
    /// Model class for PerformanceDetailModel.
    /// </summary>
    public class PerformanceDetailModel
    {
         /// <summary>
        /// Gets or sets the PerformanceCounterName.
        /// </summary>
        public string PerformanceCounterName { get; set; }

        /// <summary>
        /// Gets or sets the Value.
        /// </summary>
        public double Value { get; set; }

        /// <summary>
        /// Gets or sets the Timestamp.
        /// </summary>
        public DateTime Timestamp { get; set; }
    }
}
