﻿#pragma warning disable 1591
//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.eResearch.Blackboard.Wcf.WcfNotificationMessageService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="WcfNotificationMessageService.IWcfNotificationMessageService")]
    public interface IWcfNotificationMessageService {
        
        [System.ServiceModel.OperationContractAttribute(IsOneWay=true, Action="http://tempuri.org/IWcfNotificationMessageService/Notify")]
        void Notify(Microsoft.Research.eResearch.Blackboard.Common.BlackboardMessage message);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IWcfNotificationMessageServiceChannel : Microsoft.Research.eResearch.Blackboard.Wcf.WcfNotificationMessageService.IWcfNotificationMessageService, System.ServiceModel.IClientChannel {
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class WcfNotificationMessageServiceClient : System.ServiceModel.ClientBase<Microsoft.Research.eResearch.Blackboard.Wcf.WcfNotificationMessageService.IWcfNotificationMessageService>, Microsoft.Research.eResearch.Blackboard.Wcf.WcfNotificationMessageService.IWcfNotificationMessageService {
        
        public WcfNotificationMessageServiceClient() {
        }

        public WcfNotificationMessageServiceClient(string endpointConfigurationName) :
            base(endpointConfigurationName)
        {
        }

        public WcfNotificationMessageServiceClient(string endpointConfigurationName, string remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
        {
        }

        public WcfNotificationMessageServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
        {
        }

        public WcfNotificationMessageServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
            base(binding, remoteAddress)
        {
        }

        public void Notify(Microsoft.Research.eResearch.Blackboard.Common.BlackboardMessage message)
        {
            base.Channel.Notify(message);
        }
    }
}
