﻿#pragma warning disable 1591
//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.eResearch.Blackboard.Wcf.WcfPublisherSubscriptionService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="WcfPublisherSubscriptionService.IWcfPublisherSubscriptionService")]
    public interface IWcfPublisherSubscriptionService {
        
        [System.ServiceModel.OperationContractAttribute(IsOneWay=true, Action="http://tempuri.org/IWcfPublisherSubscriptionService/UpdateSubscriptionProfile")]
        void UpdateSubscriptionProfile(Microsoft.Research.eResearch.Blackboard.Common.SubscriptionItem[] profile);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IWcfPublisherSubscriptionServiceChannel : Microsoft.Research.eResearch.Blackboard.Wcf.WcfPublisherSubscriptionService.IWcfPublisherSubscriptionService, System.ServiceModel.IClientChannel {
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class WcfPublisherSubscriptionServiceClient : System.ServiceModel.ClientBase<Microsoft.Research.eResearch.Blackboard.Wcf.WcfPublisherSubscriptionService.IWcfPublisherSubscriptionService>, Microsoft.Research.eResearch.Blackboard.Wcf.WcfPublisherSubscriptionService.IWcfPublisherSubscriptionService {
        
        public WcfPublisherSubscriptionServiceClient() {
        }

        public WcfPublisherSubscriptionServiceClient(string endpointConfigurationName) :
            base(endpointConfigurationName)
        {
        }

        public WcfPublisherSubscriptionServiceClient(string endpointConfigurationName, string remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
        {
        }

        public WcfPublisherSubscriptionServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
        {
        }

        public WcfPublisherSubscriptionServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
            base(binding, remoteAddress)
        {
        }

        public void UpdateSubscriptionProfile(Microsoft.Research.eResearch.Blackboard.Common.SubscriptionItem[] profile)
        {
            base.Channel.UpdateSubscriptionProfile(profile);
        }
    }
}
