//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.eResearch.Common
{
    /// <summary>
    /// ExceptionPolicy defines the exception handling policy name constants.
    /// </summary>
    public static class PolicyName
    {
        /// <summary>
        /// Logs the exception details.
        /// </summary>
        public const string LoggingPolicy = "Logging Policy";

        /// <summary>
        /// Logs the exception details and rethrows original exception.
        /// </summary>
        public const string LoggingRethrowPolicy = "Logging Rethrow Policy";
    }
}
