//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Params", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.JobExecutionService.#OutputParamsHash")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Params", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.JobExecutionService.#ParamsHash")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.BlackboardService.#LastSubscriptionProfile")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.DummyBlackboardService.#LastSubscriptionProfile")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.DummyBlackboardService.#LastSubscriptionProfile")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.IBlackboardService.#LastSubscriptionProfile")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Param", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Common.WorkflowRuntimeHelper.#FetchActivityIteratorUniqueKey(System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Param", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Common.WorkflowRuntimeHelper.#FetchActivityParamUniqueKey(System.String,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Error", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.ILoggingService.#Error(System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.IResourceMonitor.#GetResource()")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1019:DefineAccessorsForAttributeArguments", Scope = "type", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.MonitorConceptAttribute")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.MonitoringService.#AvailableMonitorConcepts")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1001:TypesThatOwnDisposableFieldsShouldBeDisposable", Scope = "type", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.Monitors.CpuMonitor")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.Monitors.CpuMonitor.#Setup()")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1001:TypesThatOwnDisposableFieldsShouldBeDisposable", Scope = "type", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.Monitors.MemoryMonitor")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.Monitors.MemoryMonitor.#Setup()")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Ontology.OntologyMappingService.#PerformMapping(System.Object)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1006:DoNotNestGenericTypesInMemberSignatures", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Ontology.OntologyMappingService.#PerformMapping(System.Object)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.OutputTrackingChannel.#parameters")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1304:SpecifyCultureInfo", MessageId = "System.String.ToLower", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.WorkflowOutputSaveService.#GetDataProductValue(Microsoft.Research.DataLayer.DataProduct&,Microsoft.Research.DataLayer.ParameterAssignment,System.Object)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1307:SpecifyStringComparison", MessageId = "System.String.CompareTo(System.String)", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.WorkflowOutputSaveService.#GetDataProductValue(Microsoft.Research.DataLayer.DataProduct&,Microsoft.Research.DataLayer.ParameterAssignment,System.Object)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Maintainability", "CA1500:VariableNamesShouldNotMatchFieldNames", MessageId = "serviceProvider", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.WorkflowOutputSaveService.#SaveWorkflowOutputs(System.IServiceProvider,System.Object)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance", "CA1804:RemoveUnusedLocals", MessageId = "mapper", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.WorkflowOutputSaveService.#SendMessage(System.Workflow.Runtime.Tracking.ActivityTrackingRecord,Microsoft.Research.DataLayer.DataProduct)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Common")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.Monitors")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Ontology")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Tracking")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "e")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Common")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.Monitors")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Ontology")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.Tracking")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.BlackboardServiceExtensions.#GetBlackboardService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.BlackboardServiceExtensions.#TryGetBlackboardService(System.IServiceProvider,Microsoft.Research.eResearch.RuntimeServices.Blackboard.IBlackboardService&)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.DummyBlackboardService.#PublishMessage(Microsoft.Research.eResearch.Blackboard.Common.BlackboardMessage)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.ILoggingServiceExtensions.#GetLoggingService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.JobExecutionServiceExtension.#GetJobExecutionService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Ontology.OntologyMappingServiceExtensions.#GetOntologyMappingService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Ontology.OntologyMappingServiceExtensions.#TryGetOntologyMappingService(System.IServiceProvider,Microsoft.Research.eResearch.RuntimeServices.Ontology.OntologyMappingService&)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.WorkflowOutputSaveServiceExtension.#GetWorkflowOutputSaveService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Common.WorkflowRuntimeHelper.#IsIterator(Microsoft.Research.DataLayer.ActivitySequence)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1303:Do not pass literals as localized parameters", MessageId = "System.Console.WriteLine(System.String,System.Object,System.Object,System.Object)", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.ConsoleLoggingService.#Log(System.String,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.IFormatProvider,System.String,System.Object[])", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.LoggingServiceBase.#Debug(System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.IFormatProvider,System.String,System.Object[])", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.LoggingServiceBase.#Error(System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.IFormatProvider,System.String,System.Object[])", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.LoggingServiceBase.#Fatal(System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.IFormatProvider,System.String,System.Object[])", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.LoggingServiceBase.#Info(System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.IFormatProvider,System.String,System.Object[])", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.LoggingServiceBase.#Log(System.String,System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.IFormatProvider,System.String,System.Object[])", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.LoggingServiceBase.#Trace(System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.IFormatProvider,System.String,System.Object[])", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.LoggingServiceBase.#Warn(System.String,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.DateTime.ToString(System.IFormatProvider)", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.WorkflowOutputSaveService.#GetLabel(System.String,System.Collections.Hashtable,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1305:SpecifyIFormatProvider", MessageId = "System.String.Format(System.String,System.Object,System.Object)", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Tracking.PropertyTrackingChannel.#Send(System.Workflow.Runtime.Tracking.TrackingRecord)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Reliability", "CA2000:Dispose objects before losing scope", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Monitoring.MonitoringChannel.#StartTimers(System.String,System.Type)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA2204:Literals should be spelled correctly", MessageId = "IBlackboardService", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Blackboard.BlackboardServiceExtensions.#GetBlackboardService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA2204:Literals should be spelled correctly", MessageId = "ILoggingService", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Logging.ILoggingServiceExtensions.#GetLoggingService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA2204:Literals should be spelled correctly", MessageId = "JobExecutionService", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.JobExecutionServiceExtension.#GetJobExecutionService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA2204:Literals should be spelled correctly", MessageId = "OntologyMappingService", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.Ontology.OntologyMappingServiceExtensions.#GetOntologyMappingService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA2204:Literals should be spelled correctly", MessageId = "WorkflowOutputSaveService", Scope = "member", Target = "Microsoft.Research.eResearch.RuntimeServices.WorkflowOutput.WorkflowOutputSaveServiceExtension.#GetWorkflowOutputSaveService(System.IServiceProvider)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
