//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.eResearch.RuntimeServices.Logging
{
    using System;

    public class ConsoleLoggingService : LoggingServiceBase
    {
        public override void Log(string level, string message)
        {
            Console.WriteLine("[{0}] {1}: {2}",
                DateTime.Now.ToLongTimeString(),
                level,
                message);
        }
    }
}
