//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Text;
using System.Diagnostics.CodeAnalysis;



[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant", Justification="CLS-NonCompliant fields present in the assembly.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#PerformanceRegion", Justification="Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#LayoutRoot", Justification = "Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#IntermediateResultsRegion", Justification = "Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#mainTabControl", Justification = "Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#LogDisplayRegion", Justification = "Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#ProcessingStatusRegion", Justification = "Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#InputOutputRegion", Justification = "Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#brdrToolBar", Justification = "Error because of names present in xaml.")]

[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentWindow.#StartDrag(System.Windows.DependencyObject,System.Object)", Justification="Method is a event handler. Not appropriate to make static")]
