//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Text;
using System.Diagnostics.CodeAnalysis;


[module: SuppressMessage("Microsoft.Design", "CA1059:MembersShouldNotExposeCertainConcreteTypes", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentUtilities.XmlUtilities.#GetChildElementsByTagName(System.Xml.XmlNode,System.String)", MessageId = "System.Xml.XmlNode", Justification = "XmlNode has certain functionality which cannot be replicated using IXpathNavigable.")]

[module: SuppressMessage("Microsoft.Design", "CA1059:MembersShouldNotExposeCertainConcreteTypes", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentUtilities.XmlUtilities.#GetLocalXml(System.String)", MessageId = "System.Xml.XmlNode", Justification = "XmlNode has certain functionality which cannot be replicated using IXpathNavigable.")]

[module: SuppressMessage("Microsoft.Design", "CA1059:MembersShouldNotExposeCertainConcreteTypes", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentUtilities.XmlUtilities.#GetXmlFromLocation(System.String)", MessageId = "System.Xml.XmlNode", Justification = "XmlNode has certain functionality which cannot be replicated using IXpathNavigable.")]

[module: SuppressMessage("Microsoft.Design", "CA1059:MembersShouldNotExposeCertainConcreteTypes", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentUtilities.XmlUtilities.#GetXmlResource(System.Reflection.Assembly,System.String)", MessageId = "System.Xml.XmlNode", Justification = "XmlNode has certain functionality which cannot be replicated using IXpathNavigable.")]

[module: SuppressMessage("Microsoft.Design", "CA1059:MembersShouldNotExposeCertainConcreteTypes", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentUtilities.XmlUtilities.#WriteXmlAtLocation(System.Xml.XmlDocument,System.String)", MessageId = "System.Xml.XmlNode", Justification = "XmlNode has certain functionality which cannot be replicated using IXpathNavigable.")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentUtilities.WorkflowUtilities.#TempXomlFilePath", MessageId = "Xoml", Justification = "Here Xoml is required to identify the file as workflow.")]

[module: SuppressMessage("Microsoft.Performance", "CA1810:InitializeReferenceTypeStaticFieldsInline", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentUtilities.WorkflowUtilities.#.cctor()", Justification = "We are implementing logic in the static constructor to which initializes the static values.")]
