//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ScientificWorkflow.TridentUtilities
{
    public static class TridentErrorConstants
    {
        /// Error code start with 10000001
        #region SyncActivityLibrary

        /// <summary>
        /// Error constant 10000001
        /// </summary> 
        public const double ErrorNumber10000001 = 10000001;

        /// <summary>
        /// Error constant 10000002
        /// </summary> 
        public const double ErrorNumber10000002 = 10000002;

        /// <summary>
        /// Error constant 10000003
        /// </summary> 
        public const double ErrorNumber10000003 = 10000003;

        #endregion SyncActivityLibrary

        /// Error code starts with 2000001
        #region TridentActivities  Error Constants

        #endregion

        /// Error code starts with 3000001
        #region TridentCompiler  Error Constants

        #endregion

        /// Error code starts with 4000001
        #region TridentComposer  Error Constants


        /// <summary>
        /// Error constant 4000001
        /// </summary>
        public const double ErrorNumber4000001 = 4000001;

        /// <summary>
        /// Error constant 4000002
        /// </summary>
        public const double ErrorNumber4000002 = 4000002;

        /// <summary>
        /// Error constant 4000003
        /// </summary>
        public const double ErrorNumber4000003 = 4000003;

        /// <summary>
        /// Error constant 4000004
        /// </summary>
        public const double ErrorNumber4000004 = 4000004;

        /// <summary>
        /// Error constant 4000005
        /// </summary>
        public const double ErrorNumber4000005 = 4000005;

        /// <summary>
        /// Error constant 4000006
        /// </summary>
        public const double ErrorNumber4000006 = 4000006;

        /// <summary>
        /// Error constant 4000007
        /// </summary>
        public const double ErrorNumber4000007 = 4000007;

        /// <summary>
        /// Error constant 4000008
        /// </summary>
        public const double ErrorNumber4000008 = 4000008;

        /// <summary>
        /// Error constant 4000009
        /// </summary>
        public const double ErrorNumber4000009 = 4000009;

        /// <summary>
        /// Error constant 4000010
        /// </summary>
        public const double ErrorNumber4000010 = 4000010;

        /// <summary>
        /// Error constant 4000011
        /// </summary>
        public const double ErrorNumber4000011 = 4000011;

        /// <summary>
        /// Error constant 4000012
        /// </summary>
        public const double ErrorNumber4000012 = 4000012;

        /// <summary>
        /// Error constant 4000013
        /// </summary>
        public const double ErrorNumber4000013 = 4000013;

        /// <summary>
        /// Error constant 4000014
        /// </summary>
        public const double ErrorNumber4000014 = 4000014;

        /// <summary>
        /// Error constant 4000015
        /// </summary>
        public const double ErrorNumber4000015 = 4000015;

        /// <summary>
        /// Error constant 4000016
        /// </summary>
        public const double ErrorNumber4000016 = 4000016;

        /// <summary>
        /// Error constant 4000017
        ///      Load Activities failure.
        /// </summary>
        public const double ErrorNumber4000017 = 4000017;

        /// <summary>
        /// Error constant 4000018
        /// </summary>
        public const double ErrorNumber4000018 = 4000018;

        /// <summary>
        /// Error constant 4000019
        /// </summary>
        public const double ErrorNumber4000019 = 4000019;

        /// <summary>
        /// Error constant 4000020
        /// </summary>
        public const double ErrorNumber4000020 = 4000020;

        /// <summary>
        /// Error constant 4000021
        /// </summary>
        public const double ErrorNumber4000021 = 4000021;

        /// <summary>
        /// Error constant 4000022
        /// </summary>
        public const double ErrorNumber4000022 = 4000022;

        /// <summary>
        /// Error constant 4000023
        /// </summary>
        public const double ErrorNumber4000023 = 4000023;

        /// <summary>
        /// Error constant 4000024
        /// </summary>
        public const double ErrorNumber4000024 = 4000024;

        /// <summary>
        /// Error constant 4000025
        /// </summary>
        public const double ErrorNumber4000025 = 4000025;

        /// <summary>
        /// Error constant 4000026
        /// </summary>
        public const double ErrorNumber4000026 = 4000026;

        /// <summary>
        /// Error constant 4000027
        /// </summary>
        public const double ErrorNumber4000027 = 4000027;

        /// <summary>
        /// Error constant 4000028
        /// </summary>
        public const double ErrorNumber4000028 = 4000028;

        /// <summary>
        /// Error constant 4000029
        /// </summary>
        public const double ErrorNumber4000029 = 4000029;

        /// <summary>
        /// Error constant 4000030
        /// </summary>
        public const double ErrorNumber4000030 = 4000030;

        /// <summary>
        /// Error constant 4000031
        /// </summary>
        public const double ErrorNumber4000031 = 4000031;

        /// <summary>
        /// Error constant 4000032
        /// </summary>
        public const double ErrorNumber4000032 = 4000032;


        /// <summary>
        /// Error constant 4000033
        /// </summary>
        public const double ErrorNumber4000033 = 4000033;

        /// <summary>
        /// Error constant 4000034
        /// </summary>
        public const double ErrorNumber4000034 = 4000034;

        /// <summary>
        /// Error constant 4000035
        /// This will be used when there is a file not found or load failed
        ///  exception occurs while creating the assembly package.
        /// </summary>
        public const double ErrorNumber4000035 = 4000035;

        /// <summary>
        /// Error constant 4000036 
        /// Soft deleted filed.
        /// </summary>
        public const double ErrorNumber4000036 = 4000036;
        /// <summary>
        /// Error constant 4000037
        /// Temp dir creation failed.
        /// </summary>
        public const double ErrorNumber4000037 = 4000037;


        /// <summary>
        /// Error constant 4000038
        /// Error loading blackbox workflow.
        /// </summary>
        public const double ErrorNumber4000038 = 4000038;

        /// <summary>
        /// Error constant 4000039
        /// No xoml found while loading blackbox workflow.
        /// </summary>
        public const double ErrorNumber4000039 = 4000039;

        /// <summary>
        /// Error constant 4000040
        /// Error in cloning acitivity. 
        /// </summary>
        public const double ErrorNumber4000040 = 4000040;

        /// <summary>
        /// Error constant 4000041
        /// Error creating parameter sequence. 
        /// </summary>
        public const double ErrorNumber4000041 = 4000041;

        /// <summary>
        /// Error constant 4000042
        /// </summary>
        public const double ErrorNumber4000042 = 4000042;

        /// <summary>
        /// Error constant 4000043
        /// </summary>
        public const double ErrorNumber4000043 = 4000043;

        /// <summary>
        /// Error constant 4000044
        /// </summary>
        public const double ErrorNumber4000044 = 4000044;

        /// <summary>
        /// Error constant 4000045
        /// </summary>
        public const double ErrorNumber4000045 = 4000045;

        /// <summary>
        /// Error constant 4000046
        /// </summary>
        public const double ErrorNumber4000046 = 4000046;

        /// <summary>
        /// Error constant 4000047
        /// </summary>
        public const double ErrorNumber4000047 = 4000047;

        /// <summary>
        /// Error constant 4000048
        /// </summary>
        public const double ErrorNumber4000048 = 4000048;

        /// <summary>
        /// Error constant 4000049
        /// </summary>
        public const double ErrorNumber4000049 = 4000049;

        /// <summary>
        /// Error constant 4000050
        /// </summary>
        public const double ErrorNumber4000050 = 4000050;

        /// <summary>
        /// Error constant 4000051
        /// </summary>
        public const double ErrorNumber4000051 = 4000051;

        /// <summary>
        /// Error constant 4000052
        /// </summary>
        public const double ErrorNumber4000052 = 4000052;

        /// <summary>
        /// Error constant 4000053
        /// </summary>
        public const double ErrorNumber4000053 = 4000053;

        /// <summary>
        /// Error constant 4000054
        /// </summary>
        public const double ErrorNumber4000054 = 4000054;

        /// <summary>
        /// Error constant 4000055
        /// </summary>
        public const double ErrorNumber4000055 = 4000055;

        /// <summary>
        /// Error constant 4000056
        /// </summary>
        public const double ErrorNumber4000056 = 4000056;

        /// <summary>
        /// Error constant 4000057
        /// </summary>
        public const double ErrorNumber4000057 = 4000057;

        /// <summary>
        /// Error constant 4000058
        /// </summary>
        public const double ErrorNumber4000058 = 4000058;

        /// <summary>
        /// Error constant 4000059
        /// </summary>
        public const double ErrorNumber4000059 = 4000059;

        /// <summary>
        /// Error constant 4000060
        /// </summary>
        public const double ErrorNumber4000060 = 4000060;

        /// <summary>
        /// Error constant 4000061
        /// </summary>
        public const double ErrorNumber4000061 = 4000061;

        /// <summary>
        /// Error constant 4000062
        /// </summary>
        public const double ErrorNumber4000062 = 4000062;

        /// <summary>
        /// Error constant 4000063
        /// </summary>
        public const double ErrorNumber4000063 = 4000063;

        /// <summary>
        /// Error constant 4000064
        /// </summary>
        public const double ErrorNumber4000064 = 4000064;

        /// <summary>
        /// Error constant 4000065
        /// Error deleting the activity parameter assignments. 
        /// </summary>
        public const double ErrorNumber4000065 = 4000065;

        /// <summary>
        /// Error constant 4000066
        /// Error deleting the activity parameter. 
        /// </summary>
        public const double ErrorNumber4000066 = 4000066;

        /// <summary>
        /// Error constant 4000067
        /// Error updating activity details. 
        /// </summary>
        public const double ErrorNumber4000067 = 4000067;

        /// <summary>
        /// Error constant 4000068
        /// Error updating activity category. 
        /// </summary>
        public const double ErrorNumber4000068 = 4000068;

        /// <summary>
        /// Error constant 4000069
        /// Error updating activity category. 
        /// </summary>
        public const double ErrorNumber4000069 = 4000069;

        /// <summary>
        /// Error constant 4000070
        /// Error updating activity category. 
        /// </summary>
        public const double ErrorNumber4000070 = 4000070;

        /// <summary>
        /// Error constant 4000071
        /// Error no activities found in assembly. 
        /// </summary>
        public const double ErrorNumber4000071 = 4000071;

        /// <summary>
        /// Error constant 4000072
        /// </summary>
        public const double ErrorNumber4000072 = 4000072;

        /// <summary>
        /// Error constant 4000073
        /// </summary>
        public const double ErrorNumber4000073 = 4000073;

        /// <summary>
        /// Error constant 4000074
        /// </summary>
        public const double ErrorNumber4000074 = 4000074;

        /// <summary>
        /// Error constant 4000075
        /// </summary>
        public const double ErrorNumber4000075 = 4000075;

        /// <summary>
        /// Error constant 4000076
        /// </summary>
        public const double ErrorNumber4000076 = 4000076;

        /// <summary>
        /// Error constant 4000077
        /// For output property not present.
        /// </summary>
        public const double ErrorNumber4000077 = 4000077;

        /// <summary>
        /// Error constant 4000078
        /// For output property not present.
        /// </summary>
        public const double ErrorNumber4000078 = 4000078;

        /// <summary>
        /// Error constant 4000079
        /// </summary>
        public const double ErrorNumber4000079 = 4000079;

        /// <summary>
        /// Error constant 4000080
        /// </summary>
        public const double ErrorNumber4000080 = 4000080;

        /// <summary>
        /// Error constant 4000081
        /// </summary>
        public const double ErrorNumber4000081 = 4000081;

        /// <summary>
        /// Error constant 4000082
        /// </summary>
        public const double ErrorNumber4000082 = 4000082;

        /// <summary>
        /// Error constant 4000083
        /// </summary>
        public const double ErrorNumber4000083 = 4000083;

        /// <summary>
        /// Error constant 4000084
        /// </summary>
        public const double ErrorNumber4000084 = 4000084;

        /// <summary>
        /// Error constant 4000085
        /// </summary>
        public const double ErrorNumber4000085 = 4000085;

        /// <summary>
        /// Error constant 4000086 -> Workflow is already deleted. So can't create the package.
        /// </summary>
        public const double ErrorNumber4000086 = 4000086;

        /// <summary>
        /// Error constant 4000087 -> System Policy Refresh error.
        /// </summary>
        public const double ErrorNumber4000087 = 4000087;

        /// <summary>
        /// Error constant 4000088.
        /// </summary>
        public const double ErrorNumber4000088 = 4000088;

        /// <summary>
        /// Error constant 4000089.
        /// </summary>
        public const double ErrorNumber4000089 = 4000089;

        #endregion

        /// Error code starts with 5000001
        #region TridentExecutor  Error Constants

        #endregion

        /// Error code starts with 6000001
        #region TridentModel Error Constants

        /// <summary>
        /// Error constant 6000001
        /// </summary>
        public const double ErrorNumber6000001 = 6000001;

        /// <summary>
        /// Error constant 6000001
        /// </summary>
        public const double ErrorNumber6000002 = 6000002;

        /// <summary>
        /// Error constant 6000001
        /// </summary>
        public const double ErrorNumber6000003 = 6000003;

        /// <summary>
        /// Error constant 6000004 - Load Errors.
        /// </summary>
        public const double ErrorNumber6000004 = 6000004;

        /// <summary>
        /// Error constant 6000005 - Library Path null or could not download libraries
        /// </summary>
        public const double ErrorNumber6000005 = 6000005;

        /// <summary>
        /// Error constant 6000005 - Could not create workflow.
        /// </summary>
        public const double ErrorNumber6000006 = 6000006;

        /// <summary>
        /// Error constant 6000005 - Could not create Activity Sequence.
        /// </summary>
        public const double ErrorNumber6000007 = 6000007;

        /// <summary>
        /// Error constant 6000005 - Could not update Activity Sequence.
        /// </summary>
        public const double ErrorNumber6000008 = 6000008;

        /// <summary>
        /// Error constant 6000005 - Could not update Parameters.
        /// </summary>
        public const double ErrorNumber6000009 = 6000009;

        /// <summary>
        /// Error constant 6000005 - Could not update Assembly packages.
        /// </summary>
        public const double ErrorNumber6000010 = 6000010;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not update ISBase attribute of the previous Activity sequence to .
        /// </summary>
        public const double ErrorNumber6000011 = 6000011;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not validate the workflow.
        /// </summary>
        public const double ErrorNumber6000012 = 6000012;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not update the Parameter.
        /// </summary>
        public const double ErrorNumber6000013 = 6000013;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not create Activity in registry.
        /// </summary>
        public const double ErrorNumber6000014 = 6000014;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not create input parameter in registry.
        /// </summary>
        public const double ErrorNumber6000015 = 6000015;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not create output parameter in registry.
        /// </summary>
        public const double ErrorNumber6000016 = 6000016;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not create Assembly package.
        /// </summary>
        public const double ErrorNumber6000017 = 6000017;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Could not download libraries.
        /// </summary>
        public const double ErrorNumber6000018 = 6000018;

        /// <summary>
        /// Error constant 6000005 - 
        ///      Workflow ID not set.
        /// </summary>
        public const double ErrorNumber6000019 = 6000019;

        /// <summary>
        /// Error constant 6000020 - 
        ///      Could not load workflow
        /// </summary>
        public const double ErrorNumber6000020 = 6000020;

        /// <summary>
        /// Error constant 6000021 - 
        ///      Could not download libraries- Record not found
        /// </summary>
        public const double ErrorNumber6000021 = 6000021;


        /// <summary>
        /// Error constant 6000027 - Could not create workflow Model.
        /// </summary>
        public const double ErrorNumber6000027 = 6000027;

        /// <summary>
        /// Error constant 6000028 - Could not create ComponentModel.Activity.
        /// </summary>
        public const double ErrorNumber6000028 = 6000028;

        /// <summary>
        /// Error constant 6000029 - Convertion Not Supported Excpetion
        /// </summary>
        public const double ErrorNumber6000029 = 6000029;

        /// <summary>
        /// Error constant 6000029 - Convertion Not Supported Excpetion
        /// </summary>
        public const double ErrorNumber6000030 = 6000030;

        /// <summary>
        /// Error constant 6000031 - Assign assembly properties failed.
        /// </summary>
        public const double ErrorNumber6000031 = 6000031;

        #endregion

        /// Error code starts with 7000001
        #region TridentUtilities  Error Constants

        /// <summary>
        /// Error constant 7000001.
        /// </summary>
        public const double ErrorNumber7000001 = 7000001;

        /// <summary>
        /// Error constant 7000002.
        /// </summary>
        public const double ErrorNumber7000002 = 7000002;

        /// <summary>
        /// Error constant 7000003.
        /// </summary>
        public const double ErrorNumber7000003 = 7000003;

        #endregion

        /// Error code starts with 8000001
        #region TridentWorkflowCommon Error Constants

        #endregion

        /// Error code starts with 9000001
        #region UIDesigner Error Constants

        /// <summary>
        /// Error constant 9000001
        /// </summary>
        public const double ErrorNumber9000001 = 9000001;

        /// <summary>
        /// Error constant 9000002
        /// </summary>
        public const double ErrorNumber9000002 = 9000002;

        /// <summary>
        /// Error constant 9000003
        /// </summary>
        public const double ErrorNumber9000003 = 9000003;

        /// <summary>
        /// Error constant 9000004
        /// </summary>
        public const double ErrorNumber9000004 = 9000004;

        /// <summary>
        /// Error constant 9000005
        /// </summary>
        public const double ErrorNumber9000005 = 9000005;

        /// <summary>
        /// Error constant 9000006
        /// </summary>
        public const double ErrorNumber9000006 = 9000006;

        /// <summary>
        /// Error constant 9000007
        /// </summary> 
        public const double ErrorNumber9000007 = 9000007;

        /// <summary>
        /// Error constant 9000008
        /// </summary> 
        public const double ErrorNumber9000008 = 9000008;

        /// <summary>
        /// Error constant 9000009
        /// </summary> 
        public const double ErrorNumber9000009 = 9000009;

        /// <summary>
        /// Error constant 90000010
        /// </summary> 
        public const double ErrorNumber90000010 = 90000010;

        /// <summary>
        /// Error constant 90000011
        /// </summary> 
        public const double ErrorNumber90000011 = 90000011;

        /// <summary>
        /// Error constant 90000012
        /// </summary> 
        public const double ErrorNumber90000012 = 90000012;

        /// <summary>
        /// Error constant for DataProductIconBuilder.ExtractIcon()
        /// </summary>
        public const double ErrorNumber90000013 = 90000013;

        /// <summary>
        /// Error constant for DataProductHandler.GetDataProducts()
        /// </summary>
        public const double ErrorNumber90000014 = 90000014;

        /// <summary>
        /// Error constant 90000013
        ///                  - Could not delete the Base workflow Activity.
        /// </summary> 
        public const double ErrorNumber90000015 = 90000015;

        /// <summary>
        /// Error constant 90000013
        ///                  - Incorrect index of the activity
        /// </summary> 
        public const double ErrorNumber90000016 = 90000016;

        /// <summary>
        /// Error constant 90000017
        /// </summary> 
        public const double ErrorNumber90000017 = 90000017;

        /// <summary>
        /// Error constant 90000018
        /// </summary> 
        public const double ErrorNumber90000018 = 90000018;

        /// <summary>
        /// Error constant 90000019
        /// </summary> 
        public const double ErrorNumber90000019 = 90000019;

        /// <summary>
        /// Error constant 90000020
        /// </summary> 
        public const double ErrorNumber90000020 = 90000020;

        /// <summary>
        /// Error constant 90000021
        /// </summary> 
        public const double ErrorNumber90000021 = 90000021;

        /// <summary>
        /// Error constant 90000022
        /// </summary> 
        public const double ErrorNumber90000022 = 90000022;

        /// <summary>
        /// Error constant 90000023
        /// </summary> 
        public const double ErrorNumber90000023 = 90000023;

        /// <summary>
        /// Error constant 90000024
        /// </summary> 
        public const double ErrorNumber90000024 = 90000024;

        /// <summary>
        /// Error constant 90000025
        /// </summary> 
        public const double ErrorNumber90000025 = 90000025;

        /// <summary>
        /// Error constant 90000026
        /// </summary> 
        public const double ErrorNumber90000026 = 90000026;

        /// <summary>
        /// Error constant 90000027
        /// </summary> 
        public const double ErrorNumber90000027 = 90000027;

        /// <summary>
        /// Error constant 90000028
        /// </summary> 
        public const double ErrorNumber90000028 = 90000028;

        /// <summary>
        /// Error constant 90000029
        /// </summary> 
        public const double ErrorNumber90000029 = 90000029;

        /// <summary>
        /// Error constant 90000030
        /// </summary> 
        public const double ErrorNumber90000030 = 90000030;

        /// <summary>
        /// Error constant 90000031
        /// </summary> 
        public const double ErrorNumber90000031 = 90000031;

        /// <summary>
        /// Error constant 90000032
        /// </summary> 
        public const double ErrorNumber90000032 = 90000032;

        /// <summary>
        /// Error constant 90000033
        /// </summary> 
        public const double ErrorNumber90000033 = 90000033;

        /// <summary>
        /// Error constant 90000034
        /// </summary> 
        public const double ErrorNumber90000034 = 90000034;

        /// <summary>
        /// Error constant 90000035
        /// </summary> 
        public const double ErrorNumber90000035 = 90000035;

        /// <summary>
        /// Error constant 90000036
        /// </summary> 
        public const double ErrorNumber90000036 = 90000036;

        /// <summary>
        /// Error constant 90000037
        /// </summary> 
        public const double ErrorNumber90000037 = 90000037;

        #endregion

        /// Management studio Error codes

        // Error Codes for WorkflowManager
        #region WorkflowManager

        /// <summary>
        /// Error constant 100000001 used when the fetch of workflows has failed.
        /// </summary>
        public const double ErrorNumber100000001 = 100000001;

        /// <summary>
        /// Error constant 100000002
        /// </summary>
        public const double ErrorNumber100000002 = 100000002;

        /// <summary>
        /// Error constant 100000003 used when trying to delete the workflow.
        /// </summary>
        public const double ErrorNumber100000003 = 100000003;

        /// <summary>
        /// Error constant 100000004 used when trying to complete the jobs.
        /// </summary>
        public const double ErrorNumber100000004 = 100000004;

        /// <summary>
        /// Error constant 100000005 used at the point of trying to get workflows by Guid.
        /// </summary>
        public const double ErrorNumber100000005 = 100000005;

        /// <summary>
        /// Error constant 100000006 used when trying to delete workflows.
        /// </summary>
        public const double ErrorNumber100000006 = 100000006;

        /// <summary>
        /// Error constant 100000007 used for errors thrown when trying to open composer.
        /// </summary>
        public const double ErrorNumber100000007 = 100000007;

        /// <summary>
        /// Error constant 100000008 used at the point of job terminate.
        /// </summary>
        public const double ErrorNumber100000008 = 100000008;

        /// <summary>
        /// Error constant 100000009 used at the point of job terminate.
        /// </summary>
        public const double ErrorNumber100000009 = 100000009;

        /// <summary>
        /// Error constant 1000000010 at the point of job delete.
        /// </summary>
        public const double ErrorNumber1000000010 = 1000000010;

        /// <summary>
        /// Error constant 1000000011 at Getnodes
        /// </summary>
        public const double ErrorNumber1000000011 = 1000000011;

        /// <summary>
        /// Error constant 1000000012 getting the workflow by id.
        /// </summary>
        public const double ErrorNumber1000000012 = 1000000012;

        /// <summary>
        /// Error constant 1000000013
        /// </summary>
        public const double ErrorNumber1000000013 = 1000000013;

        /// <summary>
        /// Error constant 1000000014
        /// </summary>
        public const double ErrorNumber1000000014 = 1000000014;

        /// <summary>
        /// Error constant 1000000015
        /// </summary>
        public const double ErrorNumber1000000015 = 1000000015;

        /// <summary>
        /// Error constant 1000000016
        /// </summary>
        public const double ErrorNumber1000000016 = 1000000016;

        /// <summary>
        /// Error constant 1000000017
        /// </summary>
        public const double ErrorNumber1000000017 = 1000000017;

        /// <summary>
        /// Error constant 1000000018
        /// </summary>
        public const double ErrorNumber1000000018 = 1000000018;

        /// <summary>
        /// Error constant 1000000019 when the guid is not present while trying to create a workflow.
        /// </summary>
        public const double ErrorNumber1000000019 = 1000000019;

        /// <summary>
        /// Error constant 1000000020
        /// </summary>
        public const double ErrorNumber1000000020 = 1000000020;

        /// <summary>
        /// Error constant 1000000021
        /// </summary>
        public const double ErrorNumber1000000021 = 1000000021;

        /// <summary>
        /// Error constant 1000000022
        /// </summary>
        public const double ErrorNumber1000000022 = 1000000022;


        /// <summary>
        /// Error constant 1000000023
        /// </summary>
        public const double ErrorNumber1000000023 = 1000000023;

        /// <summary>
        /// Error constant 1000000024
        /// </summary>
        public const double ErrorNumber1000000024 = 1000000024;

        /// <summary>
        /// Error constant 1000000025
        /// </summary>
        public const double ErrorNumber1000000025 = 1000000025;

        /// <summary>
        /// Error constant 1000000026
        /// </summary>
        public const double ErrorNumber1000000026 = 1000000026;

        /// <summary>
        /// Error constant 1000000027
        /// </summary>
        public const double ErrorNumber1000000027 = 1000000027;

        /// <summary>
        /// Error constant 1000000028
        /// </summary>
        public const double ErrorNumber1000000028 = 1000000028;

        /// <summary>
        /// Error constant 1000000029
        /// </summary>
        public const double ErrorNumber1000000029 = 1000000029;

        /// <summary>
        /// Error constant 1000000030
        /// </summary>
        public const double ErrorNumber1000000030 = 1000000030;


        //Node editor constants
        /// <summary>
        /// Error constant 1000000031
        /// </summary>
        public const double ErrorNumber1000000031 = 1000000031;

        /// <summary>
        /// Error constant 1000000032
        /// </summary>
        public const double ErrorNumber1000000032 = 1000000032;


        /// <summary>
        /// Error constant 1000000033
        /// </summary>
        public const double ErrorNumber1000000033 = 1000000033;

        /// <summary>
        /// Error constant 1000000034
        /// </summary>
        public const double ErrorNumber1000000034 = 1000000034;


        /// <summary>
        /// Error constant 1000000035
        /// </summary>
        public const double ErrorNumber1000000035 = 1000000035;

        /// <summary>
        /// Error constant 1000000036
        /// </summary>
        public const double ErrorNumber1000000036 = 1000000036;


        /// <summary>
        /// Error constant 1000000037
        /// </summary>
        public const double ErrorNumber1000000037 = 1000000037;

        /// <summary>
        /// Error constant 1000000038
        /// </summary>
        public const double ErrorNumber1000000038 = 1000000038;

        /// <summary>
        /// Error constant 1000000039
        /// </summary>
        public const double ErrorNumber1000000039 = 1000000039;

        /// <summary>
        /// Error constant 1000000040
        /// </summary>
        public const double ErrorNumber1000000040 = 1000000040;

        /// <summary>
        /// Error constant 1000000041
        /// </summary>
        public const double ErrorNumber1000000041 = 1000000041;

        /// <summary>
        /// Error constant 1000000042
        /// </summary>
        public const double ErrorNumber1000000042 = 1000000042;

        /// <summary>
        /// Error constant 1000000043
        /// </summary>
        public const double ErrorNumber1000000043 = 1000000043;

        /// <summary>
        /// Error constant 1000000043
        /// </summary>
        public const double ErrorNumber1000000044 = 1000000044;

        /// <summary>
        /// Error constant 1000000045
        /// Error while retreiving the OPC Conenction.
        /// </summary>
        public const double ErrorNumber1000000045 = 1000000045;

        /// <summary>
        /// Error constant 1000000046
        /// Error while fetching the workflow from registry.
        /// </summary>
        public const double ErrorNumber1000000046 = 1000000046;

        /// <summary>
        /// Error constant 1000000047
        /// </summary>
        public const double ErrorNumber1000000047 = 1000000047;

        /// <summary>
        /// Error constant 1000000048
        /// </summary>
        public const double ErrorNumber1000000048 = 1000000048;

        /// <summary>
        /// Error constant 1000000049
        /// </summary>
        public const double ErrorNumber1000000049 = 1000000049;

        /// <summary>
        /// Error constant 1000000050
        /// </summary>
        public const double ErrorNumber1000000050 = 1000000050;

        /// <summary>
        /// Error constant 1000000051
        /// </summary>
        public const double ErrorNumber1000000051 = 1000000051;

        /// <summary>
        /// Error constant 1000000052
        /// </summary>
        public const double ErrorNumber1000000052 = 1000000052;

        /// <summary>
        /// Error constant 1000000053
        /// </summary>
        public const double ErrorNumber1000000053 = 1000000053;

        /// <summary>
        /// Error constant 1000000054
        /// </summary>
        public const double ErrorNumber1000000054 = 1000000054;

        /// <summary>
        /// Error constant 1000000055
        /// </summary>
        public const double ErrorNumber1000000055 = 1000000055;

        /// <summary>
        /// Error constant 1000000056
        /// </summary>
        public const double ErrorNumber1000000056 = 1000000056;

        /// <summary>
        /// Error constant 1000000057
        /// </summary>
        public const double ErrorNumber1000000057 = 1000000057;

        /// <summary>
        /// Error constant 1000000058
        /// </summary>
        public const double ErrorNumber1000000058 = 1000000058;

        /// <summary>
        /// Error constant 1000000059
        /// </summary>
        public const double ErrorNumber1000000059 = 1000000059;

        /// <summary>
        /// Error constant 1000000060
        /// </summary>
        public const double ErrorNumber1000000060 = 1000000060;

        /// <summary>
        /// Error constant 1000000061
        /// </summary>
        public const double ErrorNumber1000000061 = 1000000061;

        /// <summary>
        /// Error constant 1000000062
        /// </summary>
        public const double ErrorNumber1000000062 = 1000000062;


        /// <summary>
        /// Error constant 1000000063
        /// </summary>
        public const double ErrorNumber1000000063 = 1000000063;

        /// <summary>
        /// Error constant 1000000064
        /// </summary>
        public const double ErrorNumber1000000064 = 1000000064;

        /// <summary>
        /// Error constant 1000000065
        /// </summary>
        public const double ErrorNumber1000000065 = 1000000065;

        /// <summary>
        /// Error constant 1000000066
        /// Fetches all Groups.
        /// </summary>
        public const double ErrorNumber1000000066 = 1000000066;

        /// <summary>
        /// Error constant 1000000067
        /// Restoring the deleted Workflow.
        /// </summary>
        public const double ErrorNumber1000000067 = 1000000067;

        /// <summary>
        /// Error constant 1000000068
        /// Fetches all enabled security principals.
        /// </summary>
        public const double ErrorNumber1000000068 = 1000000068;

        /// <summary>
        /// Error constant 1000000069
        /// Run Workflow deny exception.
        /// </summary>
        public const double ErrorNumber1000000069 = 1000000069;

        /// <summary>
        /// Error constant 1000000070
        /// Users retrieve exception.
        /// </summary>
        public const double ErrorNumber1000000070 = 1000000070;

        /// <summary>
        /// Error constant 1000000071
        /// Guest users retrieve exception.
        /// </summary>
        public const double ErrorNumber1000000071 = 1000000071;

        /// <summary>
        /// Error constant 1000000072
        /// Not Authenticated exception.
        /// </summary>
        public const double ErrorNumber1000000072 = 1000000072;

        /// <summary>
        /// Error constant 1000000073
        /// ErrorRetrievingWorkflowDetails
        /// </summary>
        public const double ErrorNumber1000000073 = 1000000073;


        /// <summary>
        /// Error constant 1000000074
        /// Registry Connection lost exception.
        /// </summary>
        public const double ErrorNumber1000000074 = 1000000074;

        /// <summary>
        /// Error constant 1000000075
        /// Error Retrieving package metadata
        /// </summary>
        public const double ErrorNumber1000000075 = 1000000075;

        /// <summary>
        /// Error constant 1000000076
        /// Error granting access to database.
        /// </summary>
        public const double ErrorNumber1000000076 = 1000000076;

        #endregion

        // Error Constants for Provenance
        #region Provenance

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000001 = 1100000001;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000002 = 1100000002;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000003 = 1100000003;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000004 = 1100000004;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000005 = 1100000005;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000006 = 1100000006;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000007 = 1100000007;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1100000008 = 1100000008;

        /// <summary>
        /// Error while retrieving workflow summary data.
        /// </summary>
        public const double ErrorNumber1100000009 = 1100000009;


        /// <summary>
        /// Error while Storing Processing status data.
        /// </summary>
        public const double ErrorNumber1100000010 = 1100000010;

        /// <summary>
        /// Error while Storing performance data.
        /// </summary>
        public const double ErrorNumber1100000011 = 1100000011;

        /// <summary>
        /// Error while Storing Input Output data.
        /// </summary>
        public const double ErrorNumber1100000012 = 1100000012;

        /// <summary>
        /// Error while Storing Provenance Info data.
        /// </summary>
        public const double ErrorNumber1100000013 = 1100000013;

        /// <summary>
        /// Error while Storing Provenance Info data.
        /// </summary>
        public const double ErrorNumber1100000014 = 1100000014;

        /// <summary>
        /// Error while Storing perfermance statistics Info data.
        /// </summary>
        public const double ErrorNumber1100000015 = 1100000015;

        //ProvenanceTray App
        /// <summary>
        /// Error while Storing perfermance statistics Info data.
        /// </summary>
        public const double ErrorNumber1100000016 = 1100000016;

        /// <summary>
        /// Error while retreiving the workflow versions.
        /// </summary>
        public const double ErrorNumber1100000017 = 1100000017;

        /// <summary>
        /// Error while initializing provenance.
        /// </summary>
        public const double ErrorNumber1100000018 = 1100000018;

        /// For workflow scheduler.

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1200000001 = 1200000001;

        /// <summary>
        /// CreateMachine
        /// </summary>
        public const double ErrorNumber1200000002 = 1200000002;

        /// <summary>
        /// DeleteSelectedSchedule
        /// </summary>
        public const double ErrorNumber1200000003 = 1200000003;

        /// <summary>
        /// GetJobsToRun
        /// </summary>
        public const double ErrorNumber1200000004 = 1200000004;

        /// <summary>
        /// UpdateExecutionServiceStatus
        /// </summary>
        public const double ErrorNumber1200000005 = 1200000005;

        /// <summary>
        /// UpdateSchedulerServiceStatus
        /// </summary>
        public const double ErrorNumber1200000006 = 1200000006;
        #endregion

        // WorkflowApplication error codes
        #region WorkflowApplication

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000001 = 1300000001;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000002 = 1300000002;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000003 = 1300000003;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000004 = 1300000004;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000005 = 1300000005;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000006 = 1300000006;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000007 = 1300000007;

        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1300000008 = 1300000008;
        #endregion

        #region External Registry

        /// <summary>
        /// Update data provider
        /// </summary>
        public const double ErrorNumber1400000001 = 1400000001;

        /// <summary>
        /// Import data reference provider
        /// </summary>
        public const double ErrorNumber1400000002 = 1400000002;

        /// <summary>
        /// Import data refernce provider
        /// </summary>
        public const double ErrorNumber1400000003 = 1400000003;

        /// <summary>
        /// Not a data provider.
        /// </summary>
        public const double ErrorNumber1400000004 = 1400000004;

        /// <summary>
        /// GetAllDataReferenceProviders
        /// </summary>
        public const double ErrorNumber1400000005 = 1400000005;

        /// <summary>
        /// SaveDataReferenceProvider
        /// </summary>
        public const double ErrorNumber1400000006 = 1400000006;

        /// <summary>
        /// create data provider
        /// </summary>
        public const double ErrorNumber1400000007 = 1400000007;

        /// <summary>
        /// SaveDataReferenceProvider
        /// </summary>
        public const double ErrorNumber1400000008 = 1400000008;

        /// <summary>
        /// SaveDataReferenceStore
        /// </summary>
        public const double ErrorNumber1400000009 = 1400000009;

        /// <summary>
        /// SaveDataReferenceStore
        /// </summary>
        public const double ErrorNumber1400000010 = 1400000010;

        /// <summary>
        /// DataReferenceStoreDelete
        /// </summary>
        public const double ErrorNumber1400000011 = 1400000011;

        /// <summary>
        /// DataReferenceStoreDelete
        /// </summary>
        public const double ErrorNumber1400000012 = 1400000012;

        /// <summary>
        /// DataReferenceStoreDelete
        /// </summary>
        public const double ErrorNumber1400000013 = 1400000013;

        /// <summary>
        /// DataReferenceStoreDelete
        /// </summary>
        public const double ErrorNumber1400000014 = 1400000014;

        /// <summary>
        /// GetAssemblyPackage
        /// </summary>
        public const double ErrorNumber1400000015 = 1400000015;


        /// <summary>
        /// 
        /// </summary>
        public const double ErrorNumber1400000016 = 1400000016;
        #endregion

        #region Lightweight executor

        public const double ErrorNumber1500000001 = 1500000001;

        #endregion
    }
}
