//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ScientificWorkflow.UIDesigner.WpfComposite
{
    using System;

    /// <summary>
    /// Specification for a module
    /// </summary>
    public interface IModule
    {
        /// <summary>
        /// Initializes the module
        /// </summary>
        void Initialize();

        ///// <summary>
        ///// Clears the model
        ///// </summary>
        //void Clear();
    }
}
