//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System.Diagnostics.CodeAnalysis;

[module: SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists", Scope = "member", Target = "TridentAPI.TypeProviderHelper.#FetchAllTypeInitializers()")]
[module: SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member", Target = "TridentAPI.Context.#.ctor()")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "API")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "namespace", Target = "TridentAPI", MessageId = "API")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "TridentAPI.BaseTypeInitializer.#GetDeserializedVersion(System.String)", MessageId = "Val")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "TridentAPI.DundasChart", MessageId = "Dundas")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "TridentAPI.TypeProviderHelper.#Initialize(Microsoft.Research.eResearch.Connection)", MessageId = "conn")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "TridentAPI.TypeProviderHelper.#FetchTypeInitializer(System.String,Microsoft.Research.eResearch.Runtime)", MessageId = "Env")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "TridentAPI.TypeProviderHelper.#LoadInitializer(Microsoft.Research.eResearch.TypeInitializer,System.String)", MessageId = "Val")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "TridentAPI.BaseTypeInitializer.#GetSerializedVersion(System.Object)", MessageId = "obj")]
[module: SuppressMessage("Microsoft.Usage", "CA2235:MarkAllNonSerializableFields", Scope = "member", Target = "TridentAPI.Context.#registryHandle")]
[module: SuppressMessage("Microsoft.Usage", "CA2235:MarkAllNonSerializableFields", Scope = "member", Target = "TridentAPI.Context.#wfInstance")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[module: SuppressMessage("Microsoft.Performance", "CA1804:RemoveUnusedLocals", Scope = "member", Target = "TridentAPI.TypeProviderHelper.#LoadAssemblies(System.String[])", MessageId = "depAsm")]
[module: SuppressMessage("Microsoft.Performance", "CA1804:RemoveUnusedLocals", Scope = "member", Target = "TridentAPI.Context.#Load()", MessageId = "conn")]
[module: SuppressMessage("Microsoft.Globalization", "CA1306:SetLocaleForDataTypes", Scope = "member", Target = "TridentAPI.DundasChart.#Show(Microsoft.Research.eResearch.DataProduct,System.String,System.String,System.Int32,System.Int32)")]
[module: SuppressMessage("Microsoft.Design", "CA1001:TypesThatOwnDisposableFieldsShouldBeDisposable", Scope = "type", Target = "TridentAPI.DundasChart")]
[module: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TridentAPI.BaseTypeInitializer.#GetUIControl()")]
[module: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TridentAPI.BaseTypeInitializer.#GetStringValue()")]
[module: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TridentAPI.BaseTypeInitializer.#GetValue()")]