//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//********************************************************* 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.TridentWordAddIn.ResourceHelper;
using Microsoft.TridentWordAddIn.Common;

namespace Microsoft.TridentWordAddIn.Presentation
{
    internal partial class TypeInitializerHolderForm : BaseForm
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TypeInitializerHolderForm"/> class.
        /// </summary>
        public TypeInitializerHolderForm()
        {
            InitializeComponent();            
        }

        /// <summary>
        /// Adds the type initializer user control.
        /// </summary>
        /// <param name="typeInitializerUserCtrl">The type initializer user CTRL.</param>
        public void AddUserControl(Control typeInitializerUserCtrl)
        {
            this.pnlTypeInitializerUserCtrl.Controls.Add(typeInitializerUserCtrl);
        }

        /// <summary>
        /// Handles the Click event of the btnOK control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void btnOK_Click(object sender, EventArgs e)
        {

        }
    }
}
