@echo off

IF "%BuildNumber%" == "" (
	for /f %%v IN (BuildNumber.txt) DO set BuildNumber=%%v
	echo Loaded build %BuildNumber%
)

IF "%BuildRoot%" == "" (
	set mypath=%~dp0%
	set BuildRoot=%mypath%..\..
	echo Loaded build root
)

IF "%BuildTargetRoot%" == "" (
	set BuildTargetRoot=%BuildRoot%\target
	echo Loaded build target root
)
if not exist "%BuildTargetRoot%" mkdir "%BuildTargetRoot%"

IF "%BuildStage%" == "" (
	set BuildStage=%BuildRoot%\stage
	echo Loaded build target root
)
if not exist "%BuildStage%" mkdir "%BuildStage%"


set BuildDrop=%BuildTracker.BuildShareGroup.DropShare%\%BuildNumber%
if not exist "%BuildDrop%" mkdir "%BuildDrop%"

REM --- Build variables for MSBUILD (.NET 4.0)
set PUBLIC_EXT=%BuildRoot%\public\ext
set URTTARGET_4_0=%PUBLIC_EXT%\urt\v4.0.30319


set AlToolPath=%PUBLIC_EXT%\urt\4.0Tools
set MSBUILD_4_0=%URTTARGET_4_0%\msbuild.exe
set MAKEMSI=%BuildRoot%\tools\setup\makemsi.cmd

