@echo off

REM -- Build environment setup
REM --      by Nelson Araujo

set BLDDIR=%~p0%
set MAXBUILDS=100
set VERBOSE=0

echo Testing .NET framework 2.0
%BLDDIR%\..\netfxtest\dotnettest v2.0.50727
IF ERRORLEVEL 1 GOTO NONETFX2


for /f %%v IN ('%BLDDIR%\..\version\buildvercalc.exe 1000 4 2008 10 02') DO SET GENBLDVER=%%v
set BuildNumber=%GENBLDVER%

REM --- Try to find an available spot
set DOT=0
:findslot

if "%VERBOSE%" == "1" echo Try DOT=%DOT%
if NOT EXIST "%BuildTracker.BuildShareGroup.DropShare%\%BuildNumber%.%DOT%" (
	if "%VERBOSE%" == "1" echo Good build %BuildTracker.BuildShareGroup.DropShare%\%BuildNumber%.%DOT%
	echo %BuildNumber%.%DOT% > BuildNumber.txt
	set BuildNumber=%BuildNumber%.%DOT%
	goto GOOD
)



if "%DOT%" == "%MAXBUILDS%" goto TOOMUCH
set /a DOT=%DOT%+1
goto findslot


:NONETFX2
echo ERROR: .NET Framework 2.0 not present (error %ERRORLEVEL%). Aborting.
goto EOF

:TOOMUCH
echo ERROR: Maximum number of %MAXBUILDS% per day reached.
set ERRORLEVEL=1
goto EOF

:GOOD
echo Build %BuildNumber%

echo Drop location: %BuildTracker.BuildShareGroup.DropShare%\%BuildNumber%
mkdir %BuildTracker.BuildShareGroup.DropShare%\%BuildNumber%


:EOF