//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System.ComponentModel;
using Microsoft.Research.ScientificWorkflow;

namespace TridentBasicActivities.Activities
{
    [Name("Abstract base activity for all condition activities", "Condition Base")]
    [Description("Base class for all conditional activities.")]
    [WorkflowCategory("Condition")]
    [HideActivity(true)]
    public abstract class CondBase : System.Workflow.ComponentModel.Activity, IConditionActivity
    {
        public CondBase()
        {
        }
    }
}
