//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.Research.DataLayer
{
    public partial class ConnMgrDlg_Encryption : UserControl
    {
        public ConnMgrDlg_Encryption()
        {
            InitializeComponent();
        }

        public event EventHandler OnEncryptionChecked;

        private void ConnMgrDlg_Encryption_Paint(object sender, PaintEventArgs e)
        {
        }

        private void ConnMgrDlg_Encryption_Load(object sender, EventArgs e)
        {
        }

        private void EncryptPassword_CheckedChanged(object sender, EventArgs e)
        {
            this.encryptWarning.Visible = EncryptPassword.Checked;
            this.encryptWarningIcon.Visible = EncryptPassword.Checked;

            if (OnEncryptionChecked != null)
                OnEncryptionChecked(this, new EventArgs());
        }
    }
}
