//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Research.DataLayer
{
    /// <summary>
    /// 
    /// </summary>
    public static class SecurityInfo
    {
        /// <summary>
        /// Gets the filters.
        /// </summary>
        /// <value>The filters.</value>
        public static SecurityPkgInfo[] Filters
        {
            get
            {
                SecurityPkgInfo sampleProvider = new SecurityPkgInfo(
                    new SecurityPkgInfo.Creator((s, c) =>
                        new ActivitySecurity(s, c)));

                return new SecurityPkgInfo[] { sampleProvider };
            }
        }
    }
}
