//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ScientificWorkflow.ManagementStudioControls.Interfaces
{
    /// <summary>
    /// This interface implemented by the Left pane. This pane contains methods to adds items to the left pane.
    /// </summary>
    public interface ILeftPaneNavigator
    {
        void Add(string name, ILeftPaneControl leftPaneControl);
    }
}
