//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System.Diagnostics.CodeAnalysis;

// The properties are bound to xaml. Cant remove these properties.
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.DeletedWorkflowsListView.#_CreateDelegate(System.Type,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ExecuteWorkflowViewPresenter.#get_CloseWindowCommand()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ExecuteWorkflowViewPresenter.#get_CreateJobCommand()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ExecuteWorkflowViewPresenter.#get_SelectedMachine()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ExecuteWorkflowViewPresenter.#get_WorkflowName()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ExecuteWorkflowViewPresenter.#set_AdditionalParameters(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ExecuteWorkflowViewPresenter.#set_JobName(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ExecuteWorkflowViewPresenter.#set_ShowMonitor(System.Boolean)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.RunningWorkflowsListView.#_CreateDelegate(System.Type,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.ScheduledJobsListView.#_CreateDelegate(System.Type,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.WorkflowManagerFilterModel.#get_FilterDisplayName()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.WorkflowManagerFilterModel.#get_IsSelected()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.AvailableWorkflowsListPresenter.#set_SearchCommand(System.Windows.Input.ICommand)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.AvailableWorkflowsListView.#_CreateDelegate(System.Type,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.AvailableWorkflowsSearchView.#ContextMenu_ContextMenuOpening(System.Object,System.Windows.Controls.ContextMenuEventArgs)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.CompletedWorkflowsListView.#_CreateDelegate(System.Type,System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.CompletedWorkflowsListView.#DisplayListView")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.DeletedWorkflowsListView.#DisplayListView")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.WorkflowJobListView.#DisplayListView")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.WorkflowManagerFilterModel.#set_FilterDisplayName(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.WorkflowManagerModule.WorkflowJobListView.#DisplayListView_PreviewMouseDoubleClick(System.Object,System.Windows.Input.MouseButtonEventArgs)")]

[module: SuppressMessage("Microsoft.Performance", "CA1810:InitializeReferenceTypeStaticFieldsInline", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.Common.SortListView.#.cctor()", Justification="It is recommended to add proeprty metadata in the static constructor.")]
[module: SuppressMessage("Microsoft.Performance", "CA1810:InitializeReferenceTypeStaticFieldsInline", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.Common.SortListViewColumn.#.cctor()", Justification = "It is recommended to add proeprty metadata in the static constructor.")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant", Justification="Datalayer objects are not CLS-Compliant")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.CategoryEditorView.#btnSave")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.CategoryEditorView.#AddButton")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.CategoryEditorView.#DeleteButton")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.CategoryPicker.#categoryPickerWindow")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#BitMapSrc", MessageId = "BitMap")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#DefaultBitMapSrc", MessageId = "BitMap")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#PreviewBitMapSrc", MessageId = "BitMap")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#CategoryBreadCrumb", MessageId = "BreadCrumb")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#CategoryParentBreadCrumb", MessageId = "BreadCrumb")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.CategoryPicker.#LayoutRoot")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.CategoryPicker.#treeVwCategoryPicker")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.IRegistryManagerLeftPaneItemControl.#LeftPanePresener", MessageId = "Presener")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#BitMapSrc", MessageId = "Src")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#DefaultBitMapSrc", MessageId = "Src")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "ManagementStudioModels.CategoryViewModel.#PreviewBitMapSrc", MessageId = "Src")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant", Justification="Datalayer objects are not CLS-Compliant")]


// Binding 
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#get_MachineStatus()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#get_NodeDeleteCommand()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#get_NodeDescription()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#get_NodesPresent()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#get_SelectedNodeStatus()")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#set_LeftPaneItems(System.Collections.ObjectModel.ObservableCollection`1<Microsoft.Research.ScientificWorkflow.ManagementStudioModels.NodeViewModel>)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#set_NodeCancelCommand(Microsoft.Research.ScientificWorkflow.UIDesigner.WpfComposite.DelegateCommand`1<System.Object>)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#set_NodeDeleteCommand(Microsoft.Research.ScientificWorkflow.UIDesigner.WpfComposite.DelegateCommand`1<System.Object>)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#set_NodeSaveCommand(Microsoft.Research.ScientificWorkflow.UIDesigner.WpfComposite.DelegateCommand`1<System.Object>)")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.ManagementStudioControls.RegistryManagerModule.NodeEditorPresenter.#set_NodeSelectedCommand(Microsoft.Research.ScientificWorkflow.UIDesigner.WpfComposite.DelegateCommand`1<Microsoft.Research.ScientificWorkflow.ManagementStudioModels.NodeViewModel>)")]
