//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Research.ScientificWorkflow.ManagementStudioControls
{
    static class ManagementStudioControlsConstants
    {
        public const string WORKFLOWMANAGERSTRING = "workflowManager";
        public const string REGISTRYMANAGERSTRING = "registryManager";
        public const string AVAILABLEWORKFLOWFILTERNAME = "AvailableWorkflows";
        public const string WORKFLOWSCREATEDBYMEFILTERNAME = "WorkflowsCreatedByMe";
        public const string RECENTLYCREATEDWORKFLOWS = "RecentlyCreatedWorkflows";
        public const string RUNNINGWORKFLOWSFILTERNAME = "RunningWorkflows";
        public const string DELETEDWORKFLOWSFILTERNAME = "DeletedWorkflows";
        public const string WORKFLOWSDELETEDBYMEFILTERNAME = "WorkflowsDeletedByMe";
        public const string RECENTLYDELETEDWORKFLOWS = "RecentlyDeletedWorkflows";
        public const string SCHEDULEDWORKFLOWSFILTERNAME = "ScheduledWorkflows";
        public const string JOBSSCHEDULEDBYMEFILTERNAME = "JobsScheduledByMe";
        public const string RECENTLYSCHEDULEDJOBS = "RecentlyScheduledJobs";
        public const string COMPLETEDJOBSFILTERNAME = "CompletedJobs";
        public const string JOBSCOMPLETEDBYMEFILTERNAME = "JobsCompletedByMe";
        public const string RECENTLYCOMPLETEDJOBS = "RecentlyCompletedJobs";
    }
}
