//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Research.DataLayer
{
    partial class Method
    {
        public override void OnBeforeDelete()
        {
            base.OnBeforeDelete();

            foreach (Artifact a in this.Artifacts)
            {
                a.Delete();
            }
        }

        public override string ToString()
        {
            return string.Format("{1} {0}({2})", this.Name, this.Returns.ToString(),
                FormatArtifacts());
        }

        private string FormatArtifacts()
        {
            return "void";
        }
    }
}
