//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ProvenanceSubscriberCommon.Models
{
    using System;

    /// <summary>
    /// Model class for ProcessingStatusModel.
    /// </summary>
    public class ProcessingStatusModel
    {
        /// <summary>
        /// Gets or sets the Event.
        /// </summary>
        public string Event { get; set; }

        /// <summary>
        /// Gets or sets the EventOrder.
        /// </summary>
        public int EventOrder { get; set; }

        /// <summary>
        /// Gets or sets the Details.
        /// </summary>
        public string Details { get; set; }

        /// <summary>
        /// Gets or sets the Timestamp.
        /// </summary>
        public DateTime Timestamp { get; set; }
    }
}
