﻿#pragma warning disable 1591
//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.eResearch.Subscriber.Wcf.WcfNotificationSubscriptionService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="WcfNotificationSubscriptionService.IWcfNotificationSubscriptionService")]
    public interface IWcfNotificationSubscriptionService {
        
        [System.ServiceModel.OperationContractAttribute(IsOneWay=true, Action="http://tempuri.org/IWcfNotificationSubscriptionService/Subscribe")]
        void Subscribe(System.Uri returnAddress, Microsoft.Research.eResearch.Blackboard.Common.SubscriptionItem[] profile);
        
        [System.ServiceModel.OperationContractAttribute(IsOneWay=true, Action="http://tempuri.org/IWcfNotificationSubscriptionService/Unsubscribe")]
        void Unsubscribe(System.Uri returnAddress);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IWcfNotificationSubscriptionServiceChannel : Microsoft.Research.eResearch.Subscriber.Wcf.WcfNotificationSubscriptionService.IWcfNotificationSubscriptionService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class WcfNotificationSubscriptionServiceClient : System.ServiceModel.ClientBase<Microsoft.Research.eResearch.Subscriber.Wcf.WcfNotificationSubscriptionService.IWcfNotificationSubscriptionService>, Microsoft.Research.eResearch.Subscriber.Wcf.WcfNotificationSubscriptionService.IWcfNotificationSubscriptionService {
        
        public WcfNotificationSubscriptionServiceClient() {
        }
        
        public WcfNotificationSubscriptionServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public WcfNotificationSubscriptionServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public WcfNotificationSubscriptionServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public WcfNotificationSubscriptionServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public void Subscribe(System.Uri returnAddress, Microsoft.Research.eResearch.Blackboard.Common.SubscriptionItem[] profile) {
            base.Channel.Subscribe(returnAddress, profile);
        }
        
        public void Unsubscribe(System.Uri returnAddress) {
            base.Channel.Unsubscribe(returnAddress);
        }
    }
}
