//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System.Diagnostics.CodeAnalysis;
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetObject(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]

[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetUser(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]


[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetAllMembers(System.DirectoryServices.DirectoryEntry)")]
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetGroupCredentials(System.DirectoryServices.DirectoryEntry)")]
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetUserCredentials(System.DirectoryServices.DirectoryEntry)")]
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetGroup(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]
[module: SuppressMessage("Microsoft.Security", "CA2123:OverrideLinkDemandsShouldBeIdenticalToBase", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetGroup(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]
[module: SuppressMessage("Microsoft.Security", "CA2123:OverrideLinkDemandsShouldBeIdenticalToBase", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetUser(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]


[module: SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
[module: SuppressMessage("Microsoft.Security", "CA2123:OverrideLinkDemandsShouldBeIdenticalToBase", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetGroup(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]
[module: SuppressMessage("Microsoft.Security", "CA2123:OverrideLinkDemandsShouldBeIdenticalToBase", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetUser(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]
[module: SuppressMessage("Microsoft.Security", "CA2123:OverrideLinkDemandsShouldBeIdenticalToBase", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetGroupMembers(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.ADAuthentication.#GetObject(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetObject(Microsoft.Research.TridentWindowAuthentication.ICredentials,System.String)")]
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetObject(Microsoft.Research.TridentWindowAuthentication.ICredentials,System.String)")]
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetAllMembers(System.DirectoryServices.DirectoryEntry)")]
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetGroupMembers(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]
[module: SuppressMessage("Microsoft.Security", "CA2123:OverrideLinkDemandsShouldBeIdenticalToBase", Scope = "member", Target = "Microsoft.Research.TridentWindowAuthentication.LocalAuthentication.#GetGroupMembers(Microsoft.Research.TridentWindowAuthentication.ICredentials)")]


[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[module: SuppressMessage("Microsoft.Naming", "CA1724:TypeNamesShouldNotMatchNamespaces", Scope = "type", Target = "Microsoft.Research.TridentWindowAuthentication.Authentication")]
