//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Text;
using System.Diagnostics.CodeAnalysis;



[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.DatabindModel", MessageId = "Databind", Justification="Need the name to be databind.")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.TridentWorkflowModel.#.ctor(System.Workflow.ComponentModel.Activity,Microsoft.Research.ScientificWorkflow.TridentModel.ModelFactory,System.String,System.String,System.String)", MessageId = "xoml", Justification="Need the parameter name to be xoml.")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.TridentWorkflowModel.#ValidateBlackboxBindings()", MessageId = "Blackbox", Justification="Need the name to be blackbox")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.TridentWorkflowModel.#XomlContent", MessageId = "Xoml", Justification="Need the name to be Xoml")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.ParameterDescriptionModel.#IsDatabound", MessageId = "Databound", Justification = "Need the name to be databind.")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.CompositeBlackboxModel", MessageId = "Blackbox", Justification = "Need the name to be blackbox")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.SimpleBlackboxModel", MessageId = "Blackbox", Justification = "Need the name to be blackbox")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.TridentBaseVisitor.#VisitCompositeBlackboxModel(Microsoft.Research.ScientificWorkflow.TridentModel.CompositeBlackboxModel)", MessageId = "Blackbox", Justification = "Need the name to be blackbox")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.TridentBaseVisitor.#VisitSimpleBlackboxModel(Microsoft.Research.ScientificWorkflow.TridentModel.SimpleBlackboxModel)", MessageId = "Blackbox", Justification = "Need the name to be blackbox")]

[module: SuppressMessage("Microsoft.Security", "CA2109:ReviewVisibleEventHandlers", Scope = "member", Target = "Microsoft.Research.ScientificWorkflow.TridentModel.BaseCompositeModel.#OnChildCollectionChanged(System.Object,System.Collections.Specialized.NotifyCollectionChangedEventArgs)", Justification="The eventhandler needs to be called from the derived classes.")]
