//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ScientificWorkflow.UIDesigner.Commands
{
    using System;
    using Microsoft.Research.ScientificWorkflow.UIDesigner.WpfComposite;

    public static class JobCommands
    {
        public static CompositeCommand ExecuteCommand = new CompositeCommand();

        public static CompositeCommand TerminateCommand = new CompositeCommand();
    }

    public class JobCommandProxy
    {
        public CompositeCommand ExecuteCommand
        {
            get { return JobCommands.ExecuteCommand; }
        }

        public CompositeCommand TerminateCommand
        {
            get { return JobCommands.TerminateCommand; }
        }
    }
}
