//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ScientificWorkflow.UIDesigner.Commands
{
    using System;
    using Microsoft.Research.ScientificWorkflow.UIDesigner.WpfComposite;

    public sealed class RibbonCommands
    {
        private RibbonCommands() { }

        public static CompositeCommand MonitorSettingsCommand = new CompositeCommand();
    }

    public class RibbonCommandsProxy
    {
        private RibbonCommandsProxy() { }

        public static CompositeCommand MonitorSettingsCommand
        {
            get { return RibbonCommands.MonitorSettingsCommand; }
        }
    }
}
