//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

namespace Microsoft.Research.ScientificWorkflow.UIDesigner
{
    #region Using Directives
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    using System.Windows;
    using System.Windows.Controls;
    using System.Windows.Input;
    #endregion

    /// <summary>
    /// This is the Class which stores the result.
    /// </summary>
    public class InputBoxResult
    {
        private MessageBoxResult result;
        private string input;

        public InputBoxResult(MessageBoxResult result, string input)
        {
            this.result = result;
            this.input = input;
        }

        public MessageBoxResult ButtonResult
        {
            get { return result; }
            internal set { result = value; }
        }

        public string UserInput
        {
            get { return input; }
            internal set { input = value; }
        }
    }
}
