//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.Research.ScientificWorkflow.UIDesigner.Monitor
{
    public partial class WebBrowserCtrl : UserControl
    {
        public WebBrowserCtrl()
        {
            InitializeComponent();
        }

        public Uri Url
        {
            get
            {
                return webBrowser.Url;
            }

            set
            { 
                webBrowser.Navigate(value);
                webBrowser.Refresh();
            }
        }
    }
}
