//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System.Diagnostics.CodeAnalysis;

[module: SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
[module: SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
[module: SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
[module: SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
[module: SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
[module: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "WorkflowApplicationModels.Utils")]
[module: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "WorkflowApplicationModels.Helpers")]
[module: SuppressMessage("Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "WorkflowApplicationModels")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#leftPaneHost")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#mainParentGrid")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#toolBarGrd")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#centerPaneColDefn")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#centerPaneHolder")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#toolBarHolder")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarPresenter.#container")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#btnDelete")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#cmbBoxUsers")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#dataGrid")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#chkBoxEnableProvenance")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#grdMain")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#addParamsExpander")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#btnAdd")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#cmbBoxNodes")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#txtBxJobName")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#btnResetReqParams")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#jobNotes")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.CenterPane.#detailsTab")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.CenterPane.#mainTabCtrl")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.CenterPane.#executionTab")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.LeftPanePresenter.#container")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.RunControlPresenter.#container")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnExit")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnAbout")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnTerminate")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnPlay")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnPause")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnSaveAsWfl")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnConn2")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#btnConn1")]
[module: SuppressMessage("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields", Scope = "member", Target = "WorkflowApplicationControls.CenterPaneController.#regionMgr")]
[module: SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Scope = "member", Target = "WorkflowApplicationControls.RunControlPresenter.#WorkflowRequiredParameters")]
[module: SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Scope = "member", Target = "WorkflowApplicationControls.RunControlPresenter.#UserList")]
[module: SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Scope = "member", Target = "WorkflowApplicationControls.RunControlPresenter.#NodeList")]
[module: SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Scope = "member", Target = "WorkflowApplicationControls.RunControlPresenter.#AdditionalParameters")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "type", Target = "WorkflowApplicationControls.ToolbarPresenter", MessageId = "Toolbar")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "type", Target = "WorkflowApplicationControls.ToolbarCtrl", MessageId = "Toolbar")]
[module: SuppressMessage("Microsoft.Design", "CA1011:ConsiderPassingBaseTypesAsParameters", Scope = "member", Target = "WorkflowApplicationControls.JobMonitorHelper.#StartJobMonitor(Microsoft.Research.eResearch.Job,Microsoft.Research.eResearch.Connection)")]
[module: SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member", Target = "WorkflowApplicationControls.CenterPane.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplication.AboutBox.#GetBuildNumberFromRegistry()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#InitializeConnection()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#OpenWorkflow(System.Guid)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#AdvancedConnectionCommandExecute()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#SavedConnectionCommandExecute()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#OnSaveAsWfl()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#OpenWflFile()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationModels.BaseModel.#CreateImage(System.String)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationServices.RegistryService.#GetWorkflowCategories()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationServices.RegistryService.#GetUsers()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationServices.RegistryService.#GetNodes(System.Boolean)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationServices.RegistryService.#GetWorkflowById(System.Guid)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationControls.LeftPanePresenter.#Initialize()")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationControls.JobMonitorHelper.#MonitorJob(Microsoft.Research.eResearch.Job,System.ComponentModel.BackgroundWorker,System.ComponentModel.DoWorkEventArgs)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationControls.JobMonitorHelper.#OnJobPoll(System.Object,System.ComponentModel.DoWorkEventArgs)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationControls.JobMonitorHelper.#OnJobPollCompleted(System.Object,System.ComponentModel.RunWorkerCompletedEventArgs)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationControls.JobMonitorHelper.#StartJobMonitor(Microsoft.Research.eResearch.Job,Microsoft.Research.eResearch.Connection)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationControls.JobMonitorHelper.#JobStateChanged(Microsoft.Research.eResearch.Job)")]
[module: SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member", Target = "WorkflowApplicationControls.CenterPaneController.#TerminateJob()")]
[module: SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands", Scope = "member", Target = "WorkflowApplication.App.#Main()")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#CurrentWfModel", MessageId = "Wf")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#CurrentWfModel", MessageId = "Wf")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#CurrentWflFilePath", MessageId = "Wfl")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "WorkflowApplicationModels.Utils", MessageId = "Utils")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "WorkflowApplicationModels.Utils.StaticMembers.#WflFilePath", MessageId = "Wfl")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "WorkflowApplicationControls.ToolbarPresenter.#SaveAsWflCommand", MessageId = "Wfl")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "WorkflowApplicationControls.ToolbarPresenter.#ShowSaveAsWfl", MessageId = "Wfl")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "WorkflowApplicationControls.JobMonitorHelper.#StartJobMonitor(Microsoft.Research.eResearch.Job,Microsoft.Research.eResearch.Connection)", MessageId = "conn")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "WorkflowApplication.Interfaces.IRegistryService.#GetWorkflow(System.Guid)", MessageId = "guid")]
[module: SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member", Target = "WorkflowApplicationControls.DetailsControl.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member", Target = "WorkflowApplicationControls.CenterPane.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member", Target = "WorkflowApplicationControls.ToolbarCtrl.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member", Target = "WorkflowApplicationControls.WorkflowTree.#System.Windows.Markup.IComponentConnector.Connect(System.Int32,System.Object)")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[module: SuppressMessage("Microsoft.Design", "CA1014:MarkAssembliesWithClsCompliant")]
[module: SuppressMessage("Microsoft.Performance", "CA1824:MarkAssembliesWithNeutralResourcesLanguage")]
[module: SuppressMessage("Microsoft.Performance", "CA1824:MarkAssembliesWithNeutralResourcesLanguage")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "WorkflowApplication.WorkflowApp.#AboutBoxCommandExecute()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "WorkflowApplicationModels.BaseModel.#CreateImage(System.String)")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "WorkflowApplicationControls.CenterPaneController.#PauseCommandExecute()")]
[module: SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member", Target = "WorkflowApplicationControls.CenterPaneController.#PauseCommandCanExecute()")]
[module: SuppressMessage("Microsoft.Usage", "CA2211:NonConstantFieldsShouldNotBeVisible", Scope = "member", Target = "WorkflowApplicationModels.Utils.StaticMembers.#WorkflowIdNode")]
[module: SuppressMessage("Microsoft.Usage", "CA2211:NonConstantFieldsShouldNotBeVisible", Scope = "member", Target = "WorkflowApplicationModels.Utils.StaticMembers.#WorkflowRootNode")]
[module: SuppressMessage("Microsoft.Usage", "CA2211:NonConstantFieldsShouldNotBeVisible", Scope = "member", Target = "WorkflowApplicationModels.Utils.StaticMembers.#WflFilePath")]
[module: SuppressMessage("Microsoft.Naming", "CA1725:ParameterNamesShouldMatchBaseDeclaration", Scope = "member", Target = "WorkflowApplicationServices.RegistryService.#GetWorkflow(System.Guid)", MessageId = "0#")]
[module: SuppressMessage("Microsoft.Performance", "CA1804:RemoveUnusedLocals", Scope = "member", Target = "WorkflowApplicationServices.RegistryService.#GetNodes(System.Boolean)", MessageId = "machineList")]
[module: SuppressMessage("Microsoft.Design", "CA1001:TypesThatOwnDisposableFieldsShouldBeDisposable", Scope = "type", Target = "WorkflowApplication.WorkflowApp")]
[module: SuppressMessage("Microsoft.Design", "CA1001:TypesThatOwnDisposableFieldsShouldBeDisposable", Scope = "type", Target = "WorkflowApplicationControls.JobMonitorHelper")]
[module: SuppressMessage("Microsoft.Design", "CA1030:UseEventsWhereAppropriate", Scope = "member", Target = "WorkflowApplicationModels.Helpers.WorkflowAppCommand`1.#RaiseCanExecuteChanged()")]
[module: SuppressMessage("Microsoft.Design", "CA1030:UseEventsWhereAppropriate", Scope = "member", Target = "WorkflowApplicationModels.BaseModel.#RaisePropertyChanged(System.String)")]
[module: SuppressMessage("Microsoft.Design", "CA1030:UseEventsWhereAppropriate", Scope = "member", Target = "WorkflowApplicationControls.CenterPaneController.#RaisePropertyChanged(System.String)")]
[module: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "WorkflowApplication.Interfaces.IRegistryService.#GetWorkflowCategories()")]
[module: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "WorkflowApplication.Interfaces.IRegistryService.#GetAllUsers()")]