//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using System;
using System.Text;
using System.Diagnostics.CodeAnalysis;


[module: SuppressMessage(
    "Microsoft.Design",
    "CA1014:MarkAssembliesWithClsCompliant", 
    Justification = "CLS-NonCompliant fields present in the assembly.")]
[module: SuppressMessage(
    "Microsoft.Performance", 
    "CA1823:AvoidUnusedPrivateFields", 
    Scope = "member", 
    Target = "Microsoft.Research.ScientificWorkflow.MonitorWindow.#InputOutputRegion",
    Justification = "Error because of names present in xaml.")]
[module: SuppressMessage(
    "Microsoft.Performance", 
    "CA1823:AvoidUnusedPrivateFields", 
    Scope = "member", 
    Target = "Microsoft.Research.ScientificWorkflow.MonitorWindow.#LayoutRoot",
    Justification = "Error because of names present in xaml.")]
[module: SuppressMessage(
    "Microsoft.Performance", 
    "CA1823:AvoidUnusedPrivateFields", 
    Scope = "member", 
    Target = "Microsoft.Research.ScientificWorkflow.MonitorWindow.#IntermediateResultsRegion",
    Justification = "Error because of names present in xaml.")]
[module: SuppressMessage(
    "Microsoft.Performance", 
    "CA1823:AvoidUnusedPrivateFields", 
    Scope = "member", 
    Target = "Microsoft.Research.ScientificWorkflow.MonitorWindow.#PerformanceRegion",
    Justification = "Error because of names present in xaml.")]
[module: SuppressMessage(
    "Microsoft.Performance", 
    "CA1823:AvoidUnusedPrivateFields", 
    Scope = "member", 
    Target = "Microsoft.Research.ScientificWorkflow.MonitorWindow.#ProcessingStatusRegion",
    Justification = "Error because of names present in xaml.")]