//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

using Microsoft.Research.ScientificWorkflow.WorkflowApplicationCommonSL;

namespace Microsoft.Research.ScientificWorkflow.WebClient.Common
{
    /// <summary>
    /// Holds all the Job related commands
    /// </summary>
    public static class JobCommands
    {
        /// <summary>
        /// Represents command for job execution
        /// </summary>
        public static DelegateCommand<object> ExecuteCommand;

        /// <summary>
        /// Represents command for job execution
        /// </summary>
        public static DelegateCommand<object> TerminateCommand;

        /// <summary>
        /// Represents command for job execution
        /// </summary>
        public static DelegateCommand<object> WorkflowSelectedCommand;
    }
}
