//*********************************************************
//
//    Copyright (c) Microsoft. All rights reserved.
//    This code is licensed under the Apache License, Version 2.0.
//    THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
//    ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
//    IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
//    PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//********************************************************* 

using System.Collections.Generic;

namespace Microsoft.TridentWordAddIn.Common
{
    /// <summary>
    /// This interface is used for storing User related Data like Connection Settings
    /// </summary>
    public interface IUserDataStorageDictionary : IDictionary<string, object>
    {
        /// <summary>
        /// Save User Settings (To Disk, document, database... etc)
        /// </summary>
        void Save();
    }
}
